Skip to main content
GET
/
v1
/
compute
/
offers
List Compute Offers
curl --request GET \
  --url https://api.dispersed.com/v1/compute/offers
{
  "data": [
    {
      "availability": {},
      "hardware_summary": {
        "cpu_cores": 123,
        "gpu_count": 123,
        "gpu_model_label": "<string>",
        "gpu_models": [
          {
            "count": 123,
            "gpu_registry_uuid": "<string>",
            "min_vram_gib": 123,
            "name": "<string>"
          }
        ],
        "gpu_registry_uuid": "<string>",
        "min_gpu_vram_gib": 123,
        "ram_gib": 123,
        "storage_gib": 123
      },
      "offer_id": "<string>",
      "pricing": {
        "hourly_rate_usd": 123,
        "quoted_at": "2023-11-07T05:31:56Z"
      },
      "region_code": "us-west-2"
    }
  ],
  "limit": 123,
  "page": 123,
  "total": 123
}

Query Parameters

limit
integer
Required range: 1 <= x <= 50
Example:

1

page
integer
Required range: 1 <= x <= 9007199254740991
Example:

1

sort
string
Example:

"created_at OR -created_at"

filter[cpu_count]
integer | null
Required range: x >= 0
Example:

"8"

filter[gpu_count]
integer | null
Required range: x >= 0
Example:

"1"

filter[gpu_name]
string
Example:

"RTX 4090"

filter[gpu_registry_uuid]
string<uuid>
Example:

"019582a6-27fc-731d-af0a-594f04d6d0d5"

filter[min_vram_gb]
integer | null
Required range: x >= 0
Example:

"24"

filter[min_ram_gb]
integer | null
Required range: x >= 0
Example:

"64"

filter[min_storage_gb]
integer | null
Required range: x >= 0
Example:

"100"

filter[allowed_region_codes]
string

Restricts offers to nodes whose response region_code is in this comma-separated allowlist. This is intersected with the requester`s workspace and consumer-profile policies.

Example:

"us-west-1,us-west-2"

filter[ignore_region_constraints]
enum<string>

ADMIN-only. When true, bypasses workspace, consumer-profile, and public allowed_region_codes constraints so the raw offer surface is visible (diagnostics).

Available options:
true,
false
Example:

"false"

Response

List of compute offers

data
object[]
required
limit
integer
required
page
integer
required
total
integer
required